import os

import requests
from flask import Flask, render_template, request, abort
from flask_caching import Cache
from flask_migrate import Migrate
from flask_sqlalchemy import SQLAlchemy

from ui import gitlab, config, models

app = Flask(__name__)
app.config.from_object(config)
cache = Cache(app)
models.db.init_app(app)
migrate = Migrate(app, models.db)


headers = {'Private-Token': os.environ.get('GITLAB_TOKEN', '')}

@app.route('/')
def main():
    return render_template('index.html')

@app.route("/webhook", methods=('POST',))
def process_webhook():
    gitlab.webhooks.process(request)
    return "OK", 200

if __name__ == '__main__':
    app.run(host='0.0.0.0', port=5000)
